RUBY-BEAUTIFY(1)

NAME
ruby-beautify, rbeautify - CLI binary that will pretty up Ruby code

SYNOPSIS

ruby-beautify [-hVts] [-c <count>] [--overwrite] [<file>...]

rbeautify [-hVts] [-c <count>] [--overwrite] [<file>...]

OPTIONS

-h
    Show some help.

-V, --version
    Show version.

-t, --tabs
    Use tab(s) as indent character.

-s, --spaces
    Use space(s) as indent character.

-c <count>, --indent_count <count>
    Count of characters to use for indenting.

--overwrite
    Overwrites file(s) in place. It won’t overwrite files that fail syntax check.

<file>...
    Pretty up provided file(s).

If it is run without specifying a filename, it will read from STDIN.

CONFIGURATION FILE

Options presented above can be set inside a configuration file named .ruby-beautify. It can be placed anywhere up in the directory tree. Options need to be separated by a new line and options that use parameter value require "=" to be added between parameter name and the value.

HISTORY

The original analyzer that ruby-beautify was based on is available at: http://www.arachnoid.com/ruby/rubyBeautifier.html.

Original work is based on sublime-text2 plugin: https://github.com/CraigWilliams/BeautifyRuby which was cleaned up and made suitable for use directly in a shell.

Ruby-beautify was recently re-written to use the stdlib ripper gem to do the lexical analyzing. Consequently all of the old legacy code was dropped.

AUTHOR

Ernie Brodeur <ebrodeur@ujami.net>

This manpage was written by Tomasz Nitecki <tnnn@tnnn.pl> based on the original README.md.

DATE

2015-04-09